[exim-cvs] stats_for_email: Do not auto-select the release d…

Top Page
Delete this message
Reply to this message
Author: Exim Git Commits Mailing List
Date:  
To: exim-cvs
Subject: [exim-cvs] stats_for_email: Do not auto-select the release directory
Gitweb: https://git.exim.org/exim.git/commitdiff/11fb48b71048e9692c1d498bfc85a4829a3db09e
Commit:     11fb48b71048e9692c1d498bfc85a4829a3db09e
Parent:     fa287dc3638b0f282fba5302a0fc01ac07421f9f
Author:     Heiko Schlittermann (HS12-RIPE) <hs@???>
AuthorDate: Tue Dec 18 16:19:11 2018 +0100
Committer:  Heiko Schlittermann (HS12-RIPE) <hs@???>
CommitDate: Tue Dec 18 16:20:11 2018 +0100


    stats_for_email: Do not auto-select the release directory
---
 release-process/scripts/stats_for_email | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)


diff --git a/release-process/scripts/stats_for_email b/release-process/scripts/stats_for_email
index 0eb0c29..45d06b6 100755
--- a/release-process/scripts/stats_for_email
+++ b/release-process/scripts/stats_for_email
@@ -1,16 +1,16 @@
#!/bin/sh -eu

 okay=false
-if [ -d ../../release-process ] && [ "${PWD##*/}" = "pkgs" ]; then
-    okay=true # we are in right dir
-elif [ -d release-process ]; then
-    b="$(find . -maxdepth 1 -name 'exim-packaging-*' | sort | tail -n 1)"
-    if [ ".$b" != "." ]; then
-        cd "$b/pkgs"
-        okay=true
-    fi
-fi
-if ! $okay; then
+# if [ -d ../../release-process ] && [ "${PWD##*/}" = "pkgs" ]; then
+#     okay=true # we are in right dir
+# elif [ -d release-process ]; then
+#     b="$(find . -maxdepth 1 -name 'exim-packaging-*' | sort | tail -n 1)"
+#     if [ ".$b" != "." ]; then
+#         cd "$b/pkgs"
+#         okay=true
+#     fi
+# fi
+# if ! $okay; then
     if [ -d "${1:?need a directory to look in}" ]; then
         cd "$1"
         shift
@@ -18,7 +18,7 @@ if ! $okay; then
         printf "%s: %s\n" >&2 "$(basename "$0")" "where should I be looking"
         exit 1
     fi
-fi
+# fi


set $(find "${1:-.}" -name '*.asc' -prune -o -type f -print | cut -c 3- | sort)